# $Revision: 1.20 $, $Date: 2010/06/21 10:57:28 $
#
# TODO:		consider mainstream version (with code2color etc.):
#		http://www-zeuthen.desy.de/~friebel/unix/lesspipe.html
#
Summary:	Input preprocessor for less
Summary(pl.UTF-8):	Preprocesor wejścia dla narzędzia less
Name:		lesspipe
Version:	1.42
Release:	1
License:	GPL v2
Group:		Applications/Text
Source0:	%{name}.sh
BuildRequires:	rpmbuild(macros) >= 1.316
Suggests:	file
Suggests:	highlight
Suggests:	mailcap >= 2.3
Conflicts:	less < 394-7.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lesspipe is an input preprocessor for less.

Before less opens a file, it first gives your input preprocessor a
chance to modify the way the contents of the file are displayed.

This package contains PLD Linux script to display various archive
contents in human readable way.

%description -l pl.UTF-8
lesspipe to preprocesor wejścia dla narzędzia less.

Zanim less otworzy plik, najpierw pozwala preprocesorowi zmodyfikować
sposób wyświetlania pliku.

Ten pakiet zawiera skrypt z PLD Linuksa wyświetlający zawartość
różnych archiwów w sposób czytelny dla człowieka.

%prep
rev=$(awk '/Id.*Exp/{print $4}' %{SOURCE0})
if [ "$rev" != "%{version}" ]; then
	: define version to $rev
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/env.d}
install %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}

# Prepare env file
cat > $RPM_BUILD_ROOT/etc/env.d/LESSOPEN <<'EOF'
LESSOPEN="|lesspipe.sh %s"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%env_update

%postun
%env_update

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}.sh
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lesspipe.spec,v $
Revision 1.20  2010/06/21 10:57:28  uzsolt
- 1.42
- rel 1 (it was my mistake)

Revision 1.19  2010/06/21 10:54:08  uzsolt
- rel 2

Revision 1.18  2010/05/25 17:49:06  sls
- ver. 1.41

Revision 1.17  2009/07/01 13:49:03  gotar
- oops, that's how versioning works here:)

Revision 1.16  2009/07/01 13:47:10  gotar
- rel. 2 - no complaints for last month so test it

Revision 1.15  2009/06/03 15:57:03  gotar
- mailcap ships run-mailcap since v2.3

Revision 1.14  2009/05/28 09:27:50  gotar
- S: highlight, mailcap

Revision 1.13  2009/05/27 16:38:12  gotar
- note on main implementation

Revision 1.12  2009/05/21 08:29:16  glen
- for .rar list files so their directory path is also visible

Revision 1.11  2008/12/16 08:45:25  glen
- *.gg for google gadgets

Revision 1.10  2008/11/24 23:08:18  glen
- file(1) is not required, mark as suggests

Revision 1.9  2008/11/08 15:30:14  glen
- version manually to overcome srcbuilder limitations

Revision 1.8  2008/11/08 15:13:23  glen
- add tar.lzma

Revision 1.7  2008/08/07 10:44:18  glen
- recognize *.CAB (uppercase); rel 5

Revision 1.6  2008-01-21 16:25:32  glen
- rel 4: fix silly typo

Revision 1.5  2008-01-20 17:20:16  glen
- add *.pk3

Revision 1.4  2008-01-20 14:06:34  qboosh
- pl

Revision 1.3  2008-01-09 12:30:27  glen
- add *.a

Revision 1.2  2007/11/01 16:02:24  glen
- R: file

Revision 1.1  2007/11/01 16:00:50  glen
- separated less.spec due different releases
